#
# spec file for package ghc-Glob
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name Glob
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.7.14
Release:        1.12
Summary:        Globbing library
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-dlist-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif

%description
A library for globbing: matching patterns against file paths.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE.txt

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.txt README.txt

%changelog
* Thu Jan 26 2017 psimons@suse.com
- Update to version 0.7.14 with cabal2obs.
* Sun Dec 18 2016 psimons@suse.com
- Update to version 0.7.13 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 0.7.12 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.7.11 revision 0 with cabal2obs.
* Fri Jul 22 2016 psimons@suse.com
- Update to version 0.7.10 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.7.9 revision 0 with cabal2obs.
* Sun Jul  3 2016 mimi.vx@gmail.com
- update to 0.7.9
  * Add missing Utils module to test suite, so that the tests provided with
  the sdist tarball actually run.
  * Add dependency on transformers-compat to allow using
  Control.Monad.Trans.Except also with older library versions.
* Thu Jun 30 2016 mimi.vx@gmail.com
- update to 0.7.7
  * Update test dependencies to allow HUnit-1.3.
  * Update dependencies to allow filepath-1.4.
  * Added Cabal Source-Repository metadata, pointing to GitHub.
  * Integrated tests with Cabal so that they can be run with "cabal test".
  * Got rid of deprecation warnings by using Control.Monad.Trans.Except
    instead of Control.Monad.Trans.Error.
  * Added Semigroup instance, bringing in a new dependency on semigroups on
    pre-8.0 GHC versions.
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
